import { createContext, useState, useCallback, useMemo, useContext, useEffect, createElement, isValidElement, cloneElement } from 'react';
import Ie from 'use-resize-observer';
import { debounce, isEqual } from 'lodash-es';
import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import { clsx } from 'clsx';
import { isValidElementType } from 'react-is';
import { Rnd } from 'react-rnd';
import { QueryClient, QueryClientProvider } from '@tanstack/react-query';

var ze=Object.defineProperty,De=Object.defineProperties;var Te=Object.getOwnPropertyDescriptors;var F=Object.getOwnPropertySymbols;var _=Object.prototype.hasOwnProperty,J=Object.prototype.propertyIsEnumerable;var G=(e,t,r)=>t in e?ze(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,a=(e,t)=>{for(var r in t||(t={}))_.call(t,r)&&G(e,r,t[r]);if(F)for(var r of F(t))J.call(t,r)&&G(e,r,t[r]);return e},m=(e,t)=>De(e,Te(t));var Z=e=>typeof e=="symbol"?e:e+"",H=(e,t)=>{var r={};for(var o in e)_.call(e,o)&&t.indexOf(o)<0&&(r[o]=e[o]);if(e!=null&&F)for(var o of F(e))t.indexOf(o)<0&&J.call(e,o)&&(r[o]=e[o]);return r};var K={breakpoint:"desktop"},V=createContext(a({},K));var ee={showroom:2600,desktop:1300,tablet:500,mobile:0};function Le(e){return Object.keys(e).sort(function(r,o){return e[r]-e[o]})}function te(e,t){if(!t)return "desktop";let r=Le(e),o=r[0];if(!o)return "desktop";for(let n=1,h=r.length;n<h;n++){let p=r[n];t>e[p]&&(o=p);}return o}var re=(e=ee,t=800)=>{let[r,o]=useState("desktop"),[n,h]=useState(0),[p,d]=useState(0),i=useCallback(({width:s=0,height:u=0})=>{h(s),d(u),o(te(e,s)||"desktop");},[e]),l=useMemo(()=>debounce(i,t,{leading:!0}),[t,i]);return Ie({ref:document.body,onResize:l}),{breakpoint:r,width:n,height:p}};var oe=({children:e,breakpoints:t})=>{let{breakpoint:r,width:o}=re(t);return o<=0?null:jsx(V.Provider,{value:{breakpoint:r},children:e})};var ae=createContext(void 0);function Oe(e,t){if(!e)return {};if(typeof e=="function")return e(t)||{};if(Array.isArray(e)||typeof e!="object")throw new Error("theme\u5C5E\u6027\u5FC5\u987B\u662F\u4E00\u4E2A\u5BF9\u8C61");return t?a(a({},t),e):e}var ie=({theme:e,children:t})=>{let r=useContext(ae),o=useMemo(()=>Oe(e||{},r),[e,r]);return jsx(ae.Provider,{value:o,children:t})};var ne=createContext({definitions:{},register:()=>{},unregister:()=>{}});var de=({definitions:e={},children:t})=>{let[r,o]=useState(e),n=useCallback(d=>{o(i=>isEqual(i[d.i],d)?i:m(a({},i),{[d.i]:d}));},[]),h=useCallback(d=>{o(i=>{var u;let c=i,{[u=d.i]:l}=c;return H(c,[Z(u)])});},[]),p=useMemo(()=>({definitions:r,register:n,unregister:h}),[r]);return jsx(ne.Provider,{value:p,children:t})};var $=createContext({isDraggable:!1,isResizable:!1,handleId:"",setHandleId:()=>{}}),le=()=>useContext($);var ce=({isResizable:e=!1,isDraggable:t=!1,children:r})=>{let[o,n]=useState("");return jsx($.Provider,{value:{isDraggable:t,isResizable:e,handleId:o,setHandleId:n},children:r})};var O=createContext({layout:[],rows:12,cols:12,rowHeight:78,colWidth:0});var N=()=>useContext(V)||a({},K);function z(...e){return clsx(e)}var j=e=>{try{document.documentElement.style.colorScheme=e,document.documentElement.setAttribute("data-theme",e);}catch(t){console.log(t);}},pe=(e="")=>{try{document.documentElement.setAttribute("data-theme-name",e);}catch(t){console.log(t);}};var tt={isDarkTheme:()=>!0,themeMode:"system",setThemeMode:()=>null,setThemeName:()=>null,themeName:""},q=createContext(tt);function he(p){var d=p,{children:e,defaultTheme:t="system",storageKey:r="vite-ui-theme",themeProvider:o,onThemeNameChange:n}=d,h=H(d,["children","defaultTheme","storageKey","themeProvider","onThemeNameChange"]);let[i,l]=useState(()=>localStorage.getItem(r)||t);useEffect(()=>{let c=window.document.documentElement;if(c.classList.remove("light","dark"),i==="system"){let f=window.matchMedia("(prefers-color-scheme: dark)").matches?"dark":"light";c.classList.add(f),j(f);return}c.classList.add(i),j(i);},[i]);let s=typeof o=="function"?o({themeMode:i}):o;useEffect(()=>{window.document.documentElement.classList.remove("jfDarkTheme","jfLightTheme","jfGreenTheme"),pe(s==null?void 0:s.themeName);},[s==null?void 0:s.themeName]);let u={themeName:(s==null?void 0:s.themeName)||"",setThemeName:(c="")=>{c&&(localStorage.setItem("vite-ui-theme-name",c),n&&n(c));},isDarkTheme:()=>i!=="light",themeMode:i,setThemeMode:c=>{c&&(localStorage.setItem(r,c),l(c));}};return jsx(q.Provider,m(a({},h),{value:u,children:e}))}var E=()=>{let e=useContext(q);if(e===void 0)throw new Error("useTheme must be used within a ThemeProvider");return e};var ue=e=>e.map(t=>(t.y||0)+(t.h||0)).sort((t,r)=>r-t)[0];var w=e=>{if(isNaN(e))return 0;let t=e.toFixed(2);return parseFloat(t)};var we=({children:e})=>jsx(Fragment,{children:e}),it=({children:e,contentRef:t})=>jsx("div",{ref:t,style:{width:"100%",height:"100%"},children:e}),fe=({children:e,components:t,themeName:r,minHeight:o=861,layout:n,cols:h=12,rows:p=12,rowHeight:d=78,resource:i={},wrapperStyle:l,wrapperProps:s})=>{let{breakpoint:u}=N(),c=u==="desktop"||u==="showroom",{themeMode:f}=E(),S=(t==null?void 0:t.headerWrapper)||we,b=(t==null?void 0:t.headerInner)||we,Y=(t==null?void 0:t.content)||it,y={breakpoint:u,themeName:r},k=(typeof n=="function"?n({breakpoint:u,themeMode:f,themeName:r}):n||[]).filter(g=>i[g.i]),C=typeof h=="function"?h({breakpoint:u}):h,L=typeof p=="function"?p({breakpoint:u}):p,P=c?L:ue(k),{ref:B,height:U=0,width:R=0}=Ie(),M=c?w(U/P):typeof d=="function"?d({breakpoint:u,themeMode:f,themeName:r}):d,I=C?w(R/C):0;return jsx(O.Provider,{value:{layout:k,cols:C,rows:P,colWidth:I,rowHeight:M},children:jsxs("div",m(a({},s),{className:z("dashboardAppResponsive",r,s==null?void 0:s.className,u),style:a({width:"100%",height:"100%",position:"relative",minHeight:o},l),children:[jsx(S,m(a({},y),{children:jsx(b,a({},y))})),jsx(Y,m(a({},y),{contentRef:B,children:e}))]}))})};var ge=e=>{let{children:t,breakpoints:r,isDraggable:o=!1,isResizable:n=!1}=e;return jsx(oe,{breakpoints:r,children:jsx(fe,m(a({},e),{children:jsx(ie,m(a({},e),{children:jsx(de,{children:jsx(ce,{isDraggable:o,isResizable:n,children:t})})}))}))})};var be=(e,t={})=>isValidElement(e)?cloneElement(e,t):isValidElementType(e)?jsx(e,a({},t)):null;var T=()=>jsx("div",{className:"resizable-handle-component"});var xe=e=>{let{h:t=0,i:r="",w:o=0,x:n=0,y:h=0,padding:p=12,matchBreak:d,colWidth:i=0,rowHeight:l=0,style:s,isDraggable:u=!0,isResizable:c=!0,zIndex:f,children:S,onLayoutChange:b}=e,{isDraggable:Y,isResizable:y,handleId:k,setHandleId:C}=le(),L=useMemo(()=>{let g=a({},s);return p&&(g.padding=Array.isArray(p)?p.map(A=>(A||0)+"px").join(" "):p),f&&(g.zIndex=f),g},[p,s,f]),P=u===!1||Y===!1,B=c!==!1&&y!==!1,U=B||!P,R=!!(r&&k&&k===r),M=w(o*i),I=w(t*l);return U?jsx(Rnd,{bounds:"parent",className:z("item-Rnd",R?"resizeActive":""),dragGrid:[i/4,l/4],resizeGrid:[i/4,l/4],onMouseDown:()=>{C(r||"");},position:{x:w(n*i),y:w(h*l)},size:{width:M,height:I},style:{zIndex:f,padding:L.padding,borderWidth:"2px",borderStyle:"solid",borderColor:R?"#2f54eb":"transparent"},resizeHandleStyles:{topRight:{width:10,height:10,right:-5,top:-5},topLeft:{width:10,height:10,left:-5,top:-5},bottomRight:{width:10,height:10,right:-5,bottom:-5},bottomLeft:{width:10,height:10,left:-5,bottom:-5}},resizeHandleComponent:{topRight:jsx(T,{}),bottomRight:jsx(T,{}),bottomLeft:jsx(T,{}),topLeft:jsx(T,{})},disableDragging:P,enableResizing:B&&R?{bottomRight:!0,right:!0,bottom:!0}:!1,onDragStop:(g,{x:A,y:W})=>{b&&b(r||"",{x:w(A/i),y:w(W/l)});},onResizeStop:(g,A,W)=>{b&&b(r||"",{w:w(parseInt(W.style.width||0,10)/i),h:w(parseInt(W.style.height||0,10)/l)});},children:S}):jsx("div",{className:z("dashboardItem",d),style:m(a({},L),{position:"absolute",left:0,top:0,width:M,height:I,transform:`translate( ${w(n*i)}px ,${w(h*l)}px )`}),children:S})};var ve=()=>useContext(O);var ft=({children:e})=>jsx(Fragment,{children:e}),ye=({resource:e={},resoucreProps:t,onLayoutChange:r,components:o})=>{let n=(o==null?void 0:o.containerWrapper)||ft,{breakpoint:h}=N(),{layout:p,colWidth:d,rowHeight:i}=ve();return jsx(Fragment,{children:p.map((l,s)=>!l.w||!l.i?null:createElement(xe,m(a({zIndex:s+3,onLayoutChange:r},l),{matchBreak:h,colWidth:d,rowHeight:i,key:`DashboardItem-${l.i}`}),be(e[l.i],m(a({},t),{breakpoint:h,colWidth:d,rowHeight:i,containerWrapper:n,nodeContentRenderer:n}))))})};var Pe=({children:e,queryClient:t})=>{let r=useMemo(()=>t||new QueryClient({defaultOptions:{queries:{retry:!1}}}),[t]);return jsx(QueryClientProvider,{client:r,children:e})};var kt=e=>{let{themeMode:t}=E(),r=typeof e.themeProvider=="function"?e.themeProvider({themeMode:t}):e.themeProvider,o=m(a(a({},r),e),{components:a(a({},r==null?void 0:r.components),e.components)});return createElement(ge,m(a({},o),{key:`themeMode-${t}-${o.themeName}`}),o.children,jsx(ye,{components:o.components,resource:o.resource,resoucreProps:o.resoucreProps||{},onLayoutChange:o.onLayoutChange}))},Re=e=>jsx(Pe,{children:jsx(he,{themeProvider:e.themeProvider,onThemeNameChange:e.onThemeNameChange,children:jsx(kt,a({},e))})});var ra=Re;

export { V as BreakpointContext, ge as CoreContext, Re as CoreDashboardAppResponsive, kt as CoreDashboardAppResponsiveInner, ra as DashboardAppResponsive, xe as DashboardItem, Pe as QueryClientProvider, he as ThemeModeProvider, q as ThemeProviderContext, z as cn, K as defaultBreakpointContextValue, N as useBreakpointContext, re as useBreakpoints, E as useThemeMode };
//# sourceMappingURL=out.js.map
//# sourceMappingURL=index.js.map